Create a marketing campaign
curl --request POST \
--url https://api.scribe-mail.com/v1/marketing_campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"marketing_campaign": {
"name": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"send_email": true,
"smart_fields_conditions": [
[
{
"smart_field_id": "<string>",
"values": [
"<string>"
]
}
]
],
"signature_template_ids": [
"<string>"
]
}
}
'{
"data": {
"id": "<string>",
"name": "<string>",
"send_email": true,
"content": {},
"smart_fields_conditions": [
[
{
"smart_field_id": "<string>",
"values": [
"<string>"
]
}
]
],
"signature_template_ids": [
"<string>"
],
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Marketing campaigns
Create a marketing campaign
POST
/
v1
/
marketing_campaigns
Create a marketing campaign
curl --request POST \
--url https://api.scribe-mail.com/v1/marketing_campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"marketing_campaign": {
"name": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"send_email": true,
"smart_fields_conditions": [
[
{
"smart_field_id": "<string>",
"values": [
"<string>"
]
}
]
],
"signature_template_ids": [
"<string>"
]
}
}
'{
"data": {
"id": "<string>",
"name": "<string>",
"send_email": true,
"content": {},
"smart_fields_conditions": [
[
{
"smart_field_id": "<string>",
"values": [
"<string>"
]
}
]
],
"signature_template_ids": [
"<string>"
],
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Was this page helpful?
⌘I